Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class PollRepContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.PollRepContent

All Implemented Interfaces:
  DEREncodable

    public class PollRepContent

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`DERInteger` `getCertReqId()`
`DERInteger` `getCheckAfter()`
`static PollRepContent` `getInstance(java.lang.Object o)`
`PKIFreeText` `getReason()`
`DERObject` `toASN1Object()` PollRepContent ::= SEQUENCE OF SEQUENCE { certReqId INTEGER, checkAfter INTEGER, -- time in seconds reason PKIFreeText OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PollRepContent getInstance(java.lang.Object o)

### getCertReqId

    public DERInteger getCertReqId()

### getCheckAfter

    public DERInteger getCheckAfter()

### getReason

    public PKIFreeText getReason()

### toASN1Object

    public DERObject toASN1Object()

       PollRepContent ::= SEQUENCE OF SEQUENCE {
               certReqId              INTEGER,
               checkAfter             INTEGER,  -- time in seconds
               reason                 PKIFreeText OPTIONAL
           }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45